Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.jms
Interface HeuristicQueueSender

All Superinterfaces:
  javax.jms.MessageProducer, javax.jms.QueueSender

    public interface HeuristicQueueSender

extends javax.jms.QueueSender

A queue sender that supports heuristic log information about the nature of indoubt XA sends. This allows the administration at an application-level: any indoubt messages can be easily identified in the log, and their application-level impact is clear. All queue senders that you create via the Atomikos QueueConnectionFactory classes are of this type. The functionality can be accessed by type-casting.

Method Summary
`void` | `send(javax.jms.Message msg, HeuristicMessage hmsg)` Send a message with given heuristic info.
`void` | `send(javax.jms.Message msg, int deliveryMode, int priority, long timeToLive, HeuristicMessage hmsg)` Send a message with given heuristic info.
`void` | `send(javax.jms.Message msg, int deliveryMode, int priority, long timeToLive, String hmsg)` Send a message with given heuristic info.
`void` | `send(javax.jms.Message msg, String hmsg)` Send a message with given heuristic info.
`void` | `send(javax.jms.Queue q, javax.jms.Message msg, HeuristicMessage hmsg)` Send a message on a queue with given heuristic info.
`void` | `send(javax.jms.Queue q, javax.jms.Message msg, int deliveryMode, int priority, long timeToLive, HeuristicMessage hmsg)` Send a message on a queue with given heuristic info.
`void` | `send(javax.jms.Queue q, javax.jms.Message msg, int deliveryMode, int priority, long timeToLive, String hmsg)` Send a message on a queue with given heuristic info.
`void` | `send(javax.jms.Queue q, javax.jms.Message msg, String hmsg)` Send a message on a queue with given heuristic info.

Methods inherited from interface javax.jms.QueueSender
`getQueue, send, send, send, send`

Methods inherited from interface javax.jms.MessageProducer
`close, getDeliveryMode, getDestination, getDisableMessageID, getDisableMessageTimestamp, getPriority, getTimeToLive, send, send, setDeliveryMode, setDisableMessageID, setDisableMessageTimestamp, setPriority, setTimeToLive`

Method Detail

### send

    void send(javax.jms.Message msg,
              HeuristicMessage hmsg)
              throws javax.jms.JMSException

  Send a message with given heuristic info.

  Parameters:
    `msg` - The message to send.
    `HeuristicMessage` - The log info message for this send operation. This information will be shown in case of heuristic problems.
  Throws:
    `javax.jms.JMSException`

### send

    void send(javax.jms.Message msg,
              int deliveryMode,
              int priority,
              long timeToLive,
              HeuristicMessage hmsg)
              throws javax.jms.JMSException

  Send a message with given heuristic info.

  Parameters:
    `msg` - The message to send.
    `deliveryMode` - The JMS delivery mode.
    `priority` - The JMS priority.
    `timeToLive` - The JMS time to live.
    `HeuristicMessage` - The log info message for this send operation. This information will be shown in case of heuristic problems.
  Throws:
    `javax.jms.JMSException`

### send

    void send(javax.jms.Queue q,
              javax.jms.Message msg,
              HeuristicMessage hmsg)
              throws javax.jms.JMSException

  Send a message on a queue with given heuristic info.

  Parameters:
    `q` - The queue to send to.
    `msg` - The message to send.
    `HeuristicMessage` - The log info message for this send operation. This information will be shown in case of heuristic problems.
  Throws:
    `javax.jms.JMSException`

### send

    void send(javax.jms.Queue q,
              javax.jms.Message msg,
              int deliveryMode,
              int priority,
              long timeToLive,
              HeuristicMessage hmsg)
              throws javax.jms.JMSException

  Send a message on a queue with given heuristic info.

  Parameters:
    `q` - The queue to send to.
    `msg` - The message to send.
    `deliveryMode` - The JMS delivery mode.
    `priority` - The JMS priority.
    `timeToLive` - The JMS time to live.
    `HeuristicMessage` - The log info message for this send operation. This information will be shown in case of heuristic problems.
  Throws:
    `javax.jms.JMSException`

### send

    void send(javax.jms.Message msg,
              String hmsg)
              throws javax.jms.JMSException

  Send a message with given heuristic info.

  Parameters:
    `msg` - The message to send.
    `HeuristicMessage` - The log info message for this send operation. This information will be shown in case of heuristic problems.
  Throws:
    `javax.jms.JMSException`

### send

    void send(javax.jms.Message msg,
              int deliveryMode,
              int priority,
              long timeToLive,
              String hmsg)
              throws javax.jms.JMSException

  Send a message with given heuristic info.

  Parameters:
    `msg` - The message to send.
    `deliveryMode` - The JMS delivery mode.
    `priority` - The JMS priority.
    `timeToLive` - The JMS time to live.
    `HeuristicMessage` - The log info message for this send operation. This information will be shown in case of heuristic problems.
  Throws:
    `javax.jms.JMSException`

### send

    void send(javax.jms.Queue q,
              javax.jms.Message msg,
              String hmsg)
              throws javax.jms.JMSException

  Send a message on a queue with given heuristic info.

  Parameters:
    `q` - The queue to send to.
    `msg` - The message to send.
    `HeuristicMessage` - The log info message for this send operation. This information will be shown in case of heuristic problems.
  Throws:
    `javax.jms.JMSException`

### send

    void send(javax.jms.Queue q,
              javax.jms.Message msg,
              int deliveryMode,
              int priority,
              long timeToLive,
              String hmsg)
              throws javax.jms.JMSException

  Send a message on a queue with given heuristic info.

  Parameters:
    `q` - The queue to send to.
    `msg` - The message to send.
    `deliveryMode` - The JMS delivery mode.
    `priority` - The JMS priority.
    `timeToLive` - The JMS time to live.
    `HeuristicMessage` - The log info message for this send operation. This information will be shown in case of heuristic problems.
  Throws:
    `javax.jms.JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.